Page MenuHomePhabricator

"etcd" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the etcd project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:32 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:32 AM
bd808 added a subscriber: bd808.Dec 4 2019, 5:51 PM

Ping @Ottomata, @chasemp, @fgiunchedi, @akosiaris, @mobrovac, @Joe

The Cloud Services team would like to have Debian Jessie systems replaced with Debian Buster (or Stretch if necessary) before 2019-12-31. Please do respond of this task with comments if you know you will not be able to meet that target date or have additional questions about what to do or how to do it. Ideally you will create new instances in your Cloud VPS project, test them, and then migrate any final state data to the new instances before deleting the old Jessie instances. If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

I would consider @Joe 's opinion canonical on what to do with https://tools.wmflabs.org/os-deprecation/jessie/etcd.html . My guess is those instances can all be removed.

bd808 added a comment.Dec 4 2019, 6:32 PM

From the project SAL: 2019-12-04 03:07 andrewbogott: shutting down VMs as the project is unclaimed https://wikitech.wikimedia.org/wiki/News/Cloud_VPS_2019_Purge#design

The "design" there is likely a typo. It does look like there are active instances though.

For what is worth, I have no usage of these machines nor the project.

For what is worth, I have no usage of these machines nor the project.

Ditto for me

Mentioned in SAL (#wikimedia-cloud) [2020-01-01T20:17:28Z] <bd808> Deleteing shutdown instances (T236573)

bd808 closed this task as Resolved.Jan 1 2020, 8:24 PM
bd808 claimed this task.